=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for WeFitter::SleepDetailMinimal
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'SleepDetailMinimal' do
  before do
    # run before each test
    @instance = WeFitter::SleepDetailMinimal.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SleepDetailMinimal' do
    it 'should create an instance of SleepDetailMinimal' do
      expect(@instance).to be_instance_of(WeFitter::SleepDetailMinimal)
    end
  end
  describe 'test attribute "timestamp"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "timestamp_end"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "level"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Petstore::EnumTest::EnumAttributeValidator.new('String', ["AWAKE", "LIGHT", "DEEP", "REM", "UNKNOWN"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.level = value }.not_to raise_error
      # end
    end
  end

end
